Skip to main content
GET
/
prod
/
api-campaigns
/
{id}
Get All API Push Campaigns
curl --request GET \
  --url https://api.aimtell.com/prod/api-campaigns/{id} \
  --header 'X-Authorization-Api-Key: <api-key>'
[
  {
    "id": 33677790,
    "objectId": "5baa724fd38f2",
    "owner_uid": "76cedd11b19e",
    "campaignId": null,
    "title": "Hey there",
    "body": "Nice push",
    "link": "google.com",
    "idSite": 2459,
    "customIcon": "https://s3.amazonaws.com/siteicons.aimtell.com/icon_2459_1532715035.jpg",
    "customImage": "",
    "segmentId": null,
    "alias": null,
    "uids": "03a131fb-ca3e-0147-d846-c986c8d1bdb8",
    "processed": 1,
    "response": "{\"result\":\"success\",\"count\":1,\"bounced\":0}",
    "createdAt": "2018-09-25 17:37:19",
    "updatedAt": "2018-09-25 17:37:21"
  },
  {
    "id": 33677791,
    "objectId": "5baa72502ea9d",
    "owner_uid": "76cedd11b19e",
    "campaignId": null,
    "title": "Wow",
    "body": "That's awesome man",
    "link": "google.com",
    "idSite": 2459,
    "customIcon": "https://s3.amazonaws.com/siteicons.aimtell.com/icon_2459_1532715035.jpg",
    "customImage": "",
    "segmentId": null,
    "alias": null,
    "uids": "03a131fb-ca3e-0147-d846-c986c8d1bdb8",
    "processed": 1,
    "response": "{\"result\":\"success\",\"count\":1,\"bounced\":0}",
    "createdAt": "2018-09-25 17:37:20",
    "updatedAt": "2018-09-25 17:37:21"
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.aimtell.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Authorization-Api-Key
string
header
default:""
required

Path Parameters

id
string
required

Site ID

Query Parameters

limit
string

Maximum number of results to return per page.

skip
string

Number of results to skip for pagination (offset).

Response

200